# How to contribute

A big user base contributing feedback and keeping the specification alive and
relevant is essential for a standardization effort like CLDF. We welcome any kind
of feedback, but encourage using the [issue tracker](https://github.com/cldf/cldf/issues), or submit [pull requests](https://github.com/cldf/cldf/pulls). Some things to keep in mind when working on the spec:

- The `master` branch of `glottobank/cldf` always reflects the latest released 
  version of the specification. So if you have commit access to this repository,
  make sure to
always work in a different branch.
- Issues to be addressed in a new version will be collected using a 
  [milestone](https://github.com/cldf/cldf/milestones).
- At some point, an upcoming new version will result in a pull request targeted
  at the `develop` branch of `glottobank/cldf`, where the changes can be further
  discussed and refined.
- Once merged to `develop`, candidate releases will be drafted from `develop`.
- Eventually, `develop` will be merged into `master` and a final release will be
  created and uploaded to ZENODO.
